package com.ho.business.mapper;

import com.ho.business.entity.EmsMetric;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDate;
import java.util.List;

@Mapper
public interface EmsMetricMapper {

    int insert(EmsMetric emsMetric);

    EmsMetric selectByStationIdAndDay(Integer stationId, LocalDate day);

    List<EmsMetric> listByStationId(Integer id);

    int updateByStationIdAndDay(EmsMetric emsMetric);
}
